Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QImage.InvertMode

    java.lang.Object
      java.lang.Enum<QImage.InvertMode>
          com.trolltech.qt.gui.QImage.InvertMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QImage.InvertMode>

Enclosing class:
  QImage

    public static enum QImage.InvertMode

extends java.lang.Enum<QImage.InvertMode>
implements QtEnumerator

This enum type is used to describe how pixel values should be inverted in the `invertPixels` function.

See Also:
  `invertPixels`

Enum Constant Summary
`InvertRgb` Invert only the RGB values and leave the alpha channel unchanged.
`InvertRgba` Invert all channels, including the alpha channel.

Method Summary
`static QImage.InvertMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImage.InvertMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QImage.InvertMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### InvertRgb

    public static final QImage.InvertMode InvertRgb

  Invert only the RGB values and leave the alpha channel unchanged.

### InvertRgba

    public static final QImage.InvertMode InvertRgba

  Invert all channels, including the alpha channel.

Method Detail

### values

    public static final QImage.InvertMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QImage.InvertMode c : QImage.InvertMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QImage.InvertMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QImage.InvertMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD